#include "/lib/all_the_libs.glsl"

uniform sampler2D texture;

varying vec2 texcoord;
varying vec4 glcolor;

void main() {
	#ifndef FANCY_CLOUDS
	vec4 color = texture2D(texture, texcoord) * glcolor;
	color.rgb = to_linear(color.rgb);
	/* DRAWBUFFERS:0 */
	gl_FragData[0] = color; //gcolor
	#else
	discard;
	#endif
}
